<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" 
                xmlns:html="http://www.w3.org/TR/REC-html40/" 
                result-ns="html">

<xsl:template match="/">
<html>
<head>
  <title>Corso di <xsl:value-of select="/orariolezioni/titolocorso"/> - Piano delle lezioni</title>
</head>

<body bgcolor="white">

<center> 
<table width="50%" border="4" align="center" cellpadding="4">
 <tbody>
   <tr>
     <th align="center" valign="middle"> <br/>
     <h1>Corso di <xsl:value-of select="/orariolezioni/titolocorso"/></h1>
     </th>
   </tr>
 </tbody>
</table>

<h1>Piano delle lezioni</h1>

<table border="1" width="80%" cellpadding="2" cellspacing="2">
<tr>
  <th>Data</th>
  <th>Orario</th>
  <th>Istruttore</th>
  <th>Argomento</th>
</tr>
<xsl:for-each select="/orariolezioni/pianolezioni/lezione">
<xsl:choose>
<xsl:when match=".[./@tipo='standard']">
<tr>
  <td bgcolor='red'><xsl:value-of select="./data/giorno"/>.
      <xsl:value-of select="./data/mese"/>.
      <xsl:value-of select="./data/anno"/>
  </td>
  <td bgcolor='red'><xsl:value-of select="./orario"/>
  </td>
  <td bgcolor='red'><xsl:value-of select="./istruttore"/>
  </td>
  <td bgcolor='red'><xsl:value-of select="./argomenti_trattati/argomento"/>
  </td>
</tr>
</xsl:when>
<xsl:when match=".[./@tipo='esercitazione']">
<tr>
  <td bgcolor='green'><xsl:value-of select="./data/giorno"/>.
      <xsl:value-of select="./data/mese"/>.
      <xsl:value-of select="./data/anno"/>
  </td>
  <td bgcolor='green'><xsl:value-of select="./orario"/>
  </td>
  <td bgcolor='green'><xsl:value-of select="./istruttore"/>
  </td>
  <td bgcolor='green'><xsl:value-of select="./argomenti_trattati/argomento"/>
  </td>
</tr>
</xsl:when>
<xsl:otherwise>
<tr>
  <td><xsl:value-of select="./data/giorno"/>.
      <xsl:value-of select="./data/mese"/>.
      <xsl:value-of select="./data/anno"/>
  </td>
  <td><xsl:value-of select="./orario"/>
  </td>
  <td><xsl:value-of select="./istruttore"/>
  </td>
  <td><xsl:value-of select="./argomenti_trattati/argomento"/>
  </td>
</tr>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each>
</table>

</center>

</body>
</html>

</xsl:template> 

</xsl:stylesheet>
